=== debian/control ===
Source: libcoverart
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 9),
 cmake,
 libneon27-gnutls-dev| libneon-dev,
 libjansson-dev
Build-Depends-Indep:
 doxygen
Standards-Version: 3.9.5
Homepage: http://musicbrainz.org/doc/libcoverart
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libcoverart.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libcoverat.git

Package: libcoverart-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libcoverart0 (= ${binary:Version}),
 libneon27-gnutls-dev | libneon-dev,
 libjansson-dev
Suggests:
 libcoverart-doc
Multi-Arch: same
Description: library to access the Cover Art Archive (development files)
 The Cover Art Archive (CAA) is a joint project between MusicBrainz and
 Internet Archive that provides a covert art image database for music releases.
 Libcoverart is a client library to access the data stored in the CAA.
 .
 This package contains the development files.

Package: libcoverart0
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Suggests:
 libcoverart-dbg
Multi-Arch: same
Description: library to access the Cover Art Archive
 The Cover Art Archive (CAA) is a joint project between MusicBrainz and
 Internet Archive that provides a covert art image database for music releases.
 Libcoverart is a client library to access the data stored in the CAA.
 .
 This package contains the shared library.

Package: libcoverart-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends},
 libcoverart0 (= ${binary:Version})
Multi-Arch: same
Description: library to access the Cover Art Archive (debugging symbols)
 The Cover Art Archive (CAA) is a joint project between MusicBrainz and
 Internet Archive that provides a covert art image database for music releases.
 Libcoverart is a client library to access the data stored in the CAA.
 .
 This package contains the debugging symbols for the shared library.

Package: libcoverart-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 libjs-jquery
Description: library to access the Cover Art Archive (developer documentation)
 The Cover Art Archive (CAA) is a joint project between MusicBrainz and
 Internet Archive that provides a covert art image database for music releases.
 Libcoverart is a client library to access the data stored in the CAA.
 .
 This package contains the developer documentation.
