## libcoverart 1.0.0+git20150706

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 # 2. If any interfaces have been added, removed, or changed since the last update, increment current, and set revision to 0.
 # 3. If any interfaces have been added since the last public release, then increment age.
 # 4. If any interfaces have been removed since the last public release, then set age to 0.
-SET(coverart_SOVERSION_CURRENT  0)
-SET(coverart_SOVERSION_REVISION 1)
+SET(coverart_SOVERSION_CURRENT  1)
+SET(coverart_SOVERSION_REVISION 0)
 SET(coverart_SOVERSION_AGE      0)
 
 MATH(EXPR coverart_SOVERSION_MAJOR "${coverart_SOVERSION_CURRENT} - ${coverart_SOVERSION_AGE}")
@@ -17,6 +17,17 @@
 
 SET(coverart_VERSION ${coverart_SOVERSION_MAJOR}.${coverart_SOVERSION_MINOR}.${coverart_SOVERSION_PATCH})
 SET(coverart_SOVERSION ${coverart_SOVERSION_MAJOR})
+
+SET(coverartc_SOVERSION_CURRENT  1)
+SET(coverartc_SOVERSION_REVISION 0)
+SET(coverartc_SOVERSION_AGE      0)
+
+MATH(EXPR coverartc_SOVERSION_MAJOR "${coverartc_SOVERSION_CURRENT} - ${coverartc_SOVERSION_AGE}")
+MATH(EXPR coverartc_SOVERSION_MINOR "${coverartc_SOVERSION_AGE}")
+MATH(EXPR coverartc_SOVERSION_PATCH "${coverartc_SOVERSION_REVISION}")
+
+SET(coverartc_VERSION ${coverartc_SOVERSION_MAJOR}.${coverartc_SOVERSION_MINOR}.${coverartc_SOVERSION_PATCH})
+SET(coverartc_SOVERSION ${coverartc_SOVERSION_MAJOR})
 
 SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
 FIND_PACKAGE(Neon REQUIRED)
@@ -31,13 +42,14 @@
 SET(LIB_INSTALL_DIR ${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX} CACHE PATH  "Installation prefix for object code libraries" FORCE)
 SET(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/include CACHE PATH "Installation prefix for C header files" FORCE)
 
+CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/libcoverartcc.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/libcoverartcc.pc)
 CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/libcoverart.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/libcoverart.pc)
-CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile)
-CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
+CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)
+CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
 FILE(GLOB headers ${CMAKE_CURRENT_SOURCE_DIR}/include/coverart/*.h)
 INSTALL(FILES ${headers} include/coverart/caa_c.h DESTINATION ${INCLUDE_INSTALL_DIR}/coverart)
-INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/libcoverart.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
+INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/libcoverartcc.pc ${CMAKE_CURRENT_BINARY_DIR}/libcoverart.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
 
 ADD_SUBDIRECTORY(src)
 ADD_SUBDIRECTORY(tests)
@@ -50,5 +62,5 @@
 ADD_DEPENDENCIES(docs src_gen)
 
 ADD_CUSTOM_TARGET(dist
-    COMMAND git archive --prefix="libcoverart-${PROJECT_VERSION}/" release-${PROJECT_VERSION} | gzip -9 > libcoverart-${PROJECT_VERSION}.tar.gz
+    COMMAND git archive --prefix="libcoverart-${PROJECT_VERSION}/" master | gzip -9 > libcoverart-${PROJECT_VERSION}.tar.gz
 )
