=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,12 @@
 	${NEON_INCLUDE_DIR}
 	${JANSSON_INCLUDE_DIR}
 )
-LINK_LIBRARIES(coverart ${NEON_LIBRARIES} ${JANSSON_LIBRARIES})
+
 ADD_EXECUTABLE(example example.cc)
 ADD_EXECUTABLE(example_c example_c.c)
+
+TARGET_LINK_LIBRARIES(example coverartcc ${NEON_LIBRARIES})
+TARGET_LINK_LIBRARIES(example_c coverart ${NEON_LIBRARIES})
 
 IF(CMAKE_COMPILER_IS_GNUCXX)
 		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror -Wextra -pedantic-errors")
