=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,16 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/..
 	${CMAKE_CURRENT_SOURCE_DIR}/../include
 	${CMAKE_CURRENT_BINARY_DIR}/../include
+	${CMAKE_CURRENT_BINARY_DIR}/..
 	${NEON_INCLUDE_DIR}
 	${JANSSON_INCLUDE_DIR}
 	${LIBXML2_INCLUDE_DIR}
 )
 
-SET(_sources HTTPFetch.cc CoverArt.cc ReleaseInfo.cc ImageList.cc Image.cc
-	Thumbnails.cc TypeList.cc caa_c.cc Type.cc)
+SET(_sourcescc HTTPFetch.cc CoverArt.cc ReleaseInfo.cc ImageList.cc Image.cc
+	Thumbnails.cc TypeList.cc Type.cc)
+
+SET(_sourcesc caa_c.cc)
 
 # when crosscompiling import the executable targets from a file
 IF(CMAKE_CROSSCOMPILING)
@@ -38,16 +41,23 @@
 
 ADD_CUSTOM_TARGET(src_gen DEPENDS caa_c.h)
 
-ADD_LIBRARY(coverart SHARED ${_sources})
+ADD_LIBRARY(coverartcc SHARED ${_sourcescc})
+ADD_LIBRARY(coverart SHARED ${_sourcesc})
 
-SET_TARGET_PROPERTIES(coverart PROPERTIES
+SET_TARGET_PROPERTIES(coverartcc PROPERTIES
     VERSION ${coverart_VERSION}
     SOVERSION ${coverart_SOVERSION}
     DEFINE_SYMBOL MB_API_EXPORTS
 )
 
+SET_TARGET_PROPERTIES(coverart PROPERTIES
+    VERSION ${coverartc_VERSION}
+    SOVERSION ${coverartc_SOVERSION}
+    DEFINE_SYMBOL MB_API_EXPORTS
+)
+
 if(CMAKE_BUILD_TYPE STREQUAL Debug)
-	SET_TARGET_PROPERTIES(coverart PROPERTIES
+	SET_TARGET_PROPERTIES(coverartcc PROPERTIES
 		DEFINE_SYMBOL _COVERART_DEBUG_
 	)
 	IF(CMAKE_COMPILER_IS_GNUCXX)
@@ -55,15 +65,16 @@
 	ENDIF(CMAKE_COMPILER_IS_GNUCXX)
 endif(CMAKE_BUILD_TYPE STREQUAL Debug)
 
-TARGET_LINK_LIBRARIES(coverart ${NEON_LIBRARIES} ${JANSSON_LIBRARIES})
+TARGET_LINK_LIBRARIES(coverartcc ${NEON_LIBRARIES} ${JANSSON_LIBRARIES})
+TARGET_LINK_LIBRARIES(coverart coverartcc)
 
 IF(WIN32)
-    TARGET_LINK_LIBRARIES(coverart wsock32 winmm ws2_32)
+    TARGET_LINK_LIBRARIES(coverartcc wsock32 winmm ws2_32)
 ENDIF(WIN32)
 
 IF(CMAKE_COMPILER_IS_GNUCXX)
 		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror -Wextra -pedantic-errors")
-		set_source_files_properties(mb4_c.cc PROPERTIES COMPILE_FLAGS "-Wno-deprecated-declarations")
+		set_source_files_properties(ca_c.cc PROPERTIES COMPILE_FLAGS "-Wno-deprecated-declarations")
 		set_source_files_properties(ReleaseInfo.cc PROPERTIES COMPILE_FLAGS "-Wno-long-long")
 		set_source_files_properties(ImageList.cc PROPERTIES COMPILE_FLAGS "-Wno-long-long")
 		set_source_files_properties(Image.cc PROPERTIES COMPILE_FLAGS "-Wno-long-long")
@@ -73,4 +84,5 @@
 		set_source_files_properties(caa_c.cc PROPERTIES COMPILE_FLAGS "-Wno-long-long")
 ENDIF(CMAKE_COMPILER_IS_GNUCXX)
 
+INSTALL(TARGETS coverartcc DESTINATION ${LIB_INSTALL_DIR})
 INSTALL(TARGETS coverart DESTINATION ${LIB_INSTALL_DIR})
