=== debian/changelog ===
libcoverart (1.0.0+git20150706-9) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump debhelper compat to 13
    - Set Rules-Requires-Root: no
    - Drop obsolete B-D on g++
  * debian/patches: Fix build with cmake 3.18.2 (Closes: #971210)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 27 Sep 2020 21:27:04 +0200
