=== debian/control ===
Source: libcoverart
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libneon27-gnutls-dev | libneon-dev,
 libjansson-dev
Build-Depends-Indep:
 doxygen,
 graphviz
Standards-Version: 4.5.0
Homepage: https://musicbrainz.org/doc/libcoverart
Vcs-Git: https://salsa.debian.org/multimedia-team/libcoverart.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libcoverart
Rules-Requires-Root: no

Package: libcoverart-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libcoverart1 (= ${binary:Version}),
 libcoverartcc1v5 (= ${binary:Version}),
 libneon27-gnutls-dev | libneon-dev,
 libjansson-dev
Suggests:
 libcoverart-doc
Multi-Arch: same
Description: library to access the Cover Art Archive (development files)
 The Cover Art Archive (CAA) is a joint project between MusicBrainz and
 Internet Archive that provides a covert art image database for music releases.
 Libcoverart is a client library to access the data stored in the CAA.
 .
 This package contains the development files.

Package: libcoverart1
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: same
Description: library to access the Cover Art Archive (C wrapper functions)
 The Cover Art Archive (CAA) is a joint project between MusicBrainz and
 Internet Archive that provides a covert art image database for music releases.
 Libcoverart is a client library to access the data stored in the CAA.
 .
 This package contains the shared library for the C wrapper functions.

Package: libcoverartcc1v5
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: same
Description: library to access the Cover Art Archive
 The Cover Art Archive (CAA) is a joint project between MusicBrainz and
 Internet Archive that provides a covert art image database for music releases.
 Libcoverart is a client library to access the data stored in the CAA.
 .
 This package contains the shared library.

Package: libcoverart-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: library to access the Cover Art Archive (developer documentation)
 The Cover Art Archive (CAA) is a joint project between MusicBrainz and
 Internet Archive that provides a covert art image database for music releases.
 Libcoverart is a client library to access the data stored in the CAA.
 .
 This package contains the developer documentation.
