=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

override_dh_auto_build-indep:
	dh_auto_build -- docs
	find obj-*/docs -name *.md5 -delete

override_dh_auto_test-indep override_dh_auto_install-indep:
	# no tests and install for indep

override_dh_installchangelogs:
	dh_installchangelogs NEWS.txt

DEB_DEBDIR=$(dir $(firstword $(MAKEFILE_LIST)))
DEB_UPSTREAM_VER=$(shell dpkg-parsechangelog -l$(DEB_DEBDIR)/changelog \
	| sed -ne 's/^Version: \(.*\)-[^-]*/\1/p' | sed -ne 's/^\([^+]*\)+git.*/\1/p')
COMMIT=3e8e68e971f632dd85788e738d3e5a3bd3d08b07
get-orig-source:
	TMPD=`mktemp -d` && \
		git clone https://github.com/metabrainz/libcoverart \
			"$$TMPD/libcoverart" && \
		git --git-dir="$$TMPD/libcoverart/.git" archive \
			--prefix=libcoverart/ $(COMMIT) | \
			xz > $$TMPD/libcoverart.tar.xz && \
		CDATE=`git --git-dir="$$TMPD/libcoverart/.git" show \
			--format=format:%ci -s $(COMMIT) | \
			awk '{ gsub(/-/,""); print $$1 }'` && \
		mv $$TMPD/libcoverart.tar.xz \
			libcoverart_$(DEB_UPSTREAM_VER)+git$$CDATE.orig.tar.xz && \
		rm -rf $$TMPD
