=== debian/watch ===
version=3
opts=dversionmangle=s/\+git\d+$// \
  https://musicbrainz.org/doc/libcoverart .*/libcoverart-(.*)\.tar\.gz
